﻿#region Using Directives

using GalaSoft.MvvmLight.Ioc;

using Scripni.Chess.UI.ViewModels;

#endregion

namespace Scripni.Chess.UI
{
    /// <summary>
    /// Used for locating view models.
    /// </summary>
    public class ViewModelLocator
    {
        #region Type Initializer

        /// <summary>
        /// Registers all view models.
        /// </summary>
        static ViewModelLocator()
        {
            SimpleIoc.Default.Register<GameViewModel, GameViewModel>();
        }

        #endregion

        #region Public Properties

        /// <summary>
        /// Gets the game view model.
        /// </summary>
        public GameViewModel Game
        {
            get
            {
                return SimpleIoc.Default.GetInstance<GameViewModel>();
            }
        }

        #endregion
    }
}